std::logical_not< void > Struct Template Reference
Utilities » Function Objects » Boolean Operations Classes

## Public Types

typedef __is_transparent | is_transparent

## Public Member Functions

template<typename _Tp >
_GLIBCXX14_CONSTEXPR auto | operator() (_Tp &&__t) const noexcept(noexcept(!std::forward< _Tp >(__t))) -> decltype(!std::forward< _Tp >(__t))

## Detailed Description

### template<>
struct std::logical_not< void >

One of the Boolean operations functors.

Definition at line 586 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h